<?php
if (!defined("root")) {
	define("root", $_SERVER['DOCUMENT_ROOT']);
}
require(root."/___simple_config.php");
session_start();
require(root."/".adminFolder."/_common.php");
require(root."/".adminFolder."/_lib/db.php");
require(root."/".adminFolder."/_lib/main.php");
require(root."/".adminFolder."/_lib/auth.php");
require(root."/".adminFolder."/_lib/bootstraps.php");
$pageSubOf = "pages";
$pageName = "cara-bermain";
$pageTitle = "Cara Bermain";
$thisUrl = "cara-bermain";
$ajax_page = "ajax_cara-bermain.php";
$pageUrl = "/".adminFolder."/$thisUrl";
$a = cekpost(cleanQuery($_GET["a"]), "");
$err = "";
if ($a=="section_main") {
	if (!authorizedModule("rules_main", $ses_kduser)) {
		unAuthorizedAccess("rules_main");
	} else {
		$fil_judul = trim(cekpost(cleanQuery($_REQUEST["fil_judul"]), ""));
		$fil_isi = trim(cekpost(cleanQuery($_REQUEST["fil_isi"]), ""));
		$fil_isactive = trim(cekpost(cleanQuery($_REQUEST["fil_isactive"]), ""));
		$swhere = '';
		if ($fil_judul!="") { $swhere .= " AND a.judul LIKE '%$fil_judul%' "; }
		if ($fil_isi!="") { $swhere .= " AND a.isi LIKE '%$fil_isi%' "; }
		if ($fil_isactive!="") { $swhere .= " AND a.isactive = '$fil_isactive' "; }
		
		$rs=array(); $q="SELECT a.* FROM cara_main a WHERE 1=1 $swhere";
		callRS($rs, $q);
		if (count($rs)!=0) {
			$ld = 20;
			$cp = cekpost(cleanQuery($_GET["cp"]), "1");
			$tp = intval(count($rs) / $ld) + (count($rs)%$ld==0?0:1);
			$sr = ($cp-1) * $ld;
			$pagination = '';
			if ($tp!=1) {
				$pagination .= ('<ul class="pagination pagination-sm">');
					$disabled = '';
					$purl = '#';
					$onclick = '';
					if ($cp<=1) {
						$disabled = 'disabled';
						$onclick = ' onclick="return false;" ';
					}
					$pagination .= ('<li class="'.$disabled.'"><a href="'.$purl.'" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', 1);return false;"').'>&lt;&lt;</a></li>');
					$pagination .= ('<li class="'.$disabled.'"><a href="'.$purl.'" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.($cp-1).');return false;"').'>&lt;</a></li>');
					for ($c=1;$c<=$tp;$c++) {
						$active = '';
						$purl = '#';
						$disabled = '';
						$onclick = '';
						if ($c==$cp) {
							$active = 'active';
						} else {
							$purl = '#';
							$onclick = ' onclick="filterReload(\''.$pageName.'\', '.$c.');return false;" ';
						}
						$pagination .= ('<li class="'.$active.' '.$disabled.'"><a href="'.$purl.'" '.$onclick.'>'.$c.'</a></li>');
					}
					$disabled = '';
					$onclick = '';
					if ($cp>=$tp) {
						$disabled = 'disabled';
						$onclick = ' onclick="return false;" ';
					}
					$pagination .= ('<li class="'.$disabled.'"><a href="#" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.($cp+1).');return false;"').'>&gt;</a></li>');
					$pagination .= ('<li class="'.$disabled.'"><a href="#" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.$tp.');return false;"').'>&gt;&gt;</a></li>');
				$pagination .= ('</ul>');
			}
			cout('<div class="alert alert-info" role="alert"><strong>Total whole data</strong> <span class="badge">'.count($rs).'</span></div>');
			
			if ($tp!=1) {
				cout($pagination);
			}
			cout('<table class="table table-striped table-bordered">');
				cout('<thead>');
					cout('<tr>');
						cout('<th class="text-center">#</th>');
						if (authorizedModule("rules_element_title", $ses_kduser)) {
							cout('<th class="text-center">Title</th>');
						}
						if (authorizedModule("rules_element_description", $ses_kduser)) {
							cout('<th class="text-center">Content</th>');
						}
						if (authorizedModule("rules_element_active", $ses_kduser)) {
							cout('<th class="text-center">Active Status</th>');
						}
						cout('<th class="col-xs-2"></th>');
					cout('</tr>');
				cout('</thead>');
				cout('<tbody>');
				$cnt = 0;
				for ($i=$sr;$i<count($rs) && $cnt<$ld;$i++) {
					$cnt++;
					$kdcara_main = $rs[$i]["kdcara_main"];
					if (intval($rs[$i]["isactive"])==0) {
						$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$kdcara_main.', '.$rs[$i]["isactive"].');return false;">Non-Active</a>';
					} else {
						$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$kdcara_main.', '.$rs[$i]["isactive"].');return false;">Active</a>';
					}
					$isi = str_replace("\n", "<br/>", $rs[$i]["isi"]);
					cout('<tr>');
						cout('<td class="text-center">'.($i+1).'</td>');
						if (authorizedModule("rules_element_title", $ses_kduser)) {
							cout('<td class="text-center"><a href="'.$pageUrl.'/view/'.$rs[$i]["kdcara_main"].'/">'.$rs[$i]["judul"].'</a></td>');
						}
						if (authorizedModule("rules_element_description", $ses_kduser)) {
							cout('<td class="text-center">'.$isi.'</td>');
						}
						if (authorizedModule("rules_element_active", $ses_kduser)) {
							cout('<td class="text-center isactive'.$kdcara_main.'">'.$isactive.'</td>');
						}
						cout('<td class="text-center">');
							if (authorizedModule("rules_edit", $ses_kduser)) {
								cout('<a href="'.$pageUrl.'/edit/'.$kdcara_main.'/"><span class="glyphicon glyphicon-pencil"></span><span class="hidden-xs hidden-sm"> Edit</span></a>');
								cout(BSTextSeparator());
							}
							if (authorizedModule("rules_delete", $ses_kduser)) {
								cout('<a href="'.$pageUrl.'/delete/'.$kdcara_main.'/"><span class="glyphicon glyphicon-trash"></span><span class="hidden-xs hidden-sm"> Delete</span></a>');
							}
						cout('</td>');
					cout('</tr>');
				}
				cout('</tbody>');
			cout('</table>');
			
			if ($tp!=1) {
				cout($pagination);
			}
			cout('<div class="alert alert-info" role="alert"><strong>Total whole data</strong> <span class="badge">'.count($rs).'</span></div>');
			$act_ket = "Cara Bermain: Main List";
			if ($swhere!="") { $act_ket .= ": ".cleanQuery($swhere).""; }
			updateUserActivities($act_ket);
		} else {
			cout('<div class="alert alert-info" role="alert">');
				cout('<strong>No data available.</strong> Please add new data for display.');
			cout('</div>');
		}
	}
}
if ($a=="chactive") {
	$kd = cekpost(cleanQuery($_REQUEST["kd"]), "");
	$ca = cekpost(cleanQuery($_REQUEST["ca"]), "");
	$kd = (trim($kd)=="undefined")?'':$kd;
	$ca = (trim($ca)=="undefined")?'':$ca;
	if ($kd!="" && $kd!=0 && $ca!="") {
		$na = $ca==0?1:0;
		$modby = $_SESSION["user"]["inisial"];
		$modtime = time();
		$qu = "UPDATE cara_main SET isactive='$na', modby='$modby', modtime='$modtime' WHERE kdcara_main='$kd'";
		execRS($qu);
		$act_ket = "Cara Bermain: Ch. Active [kd: $kd][from Act: $ca][to Act: $na]";
		updateUserActivities($act_ket);
		if (intval($na)==0) {
			$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$kd.', '.$na.');return false;">Non-Active</a>';
		} else {
			$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$kd.', '.$na.');return false;">Active</a>';
		}
		echo $isactive;
	}
}

if ($a=="section_view") {
	if (!authorizedModule("rules_view", $ses_kduser)) {
		unAuthorizedAccess("rules_view");
	} else {
		$id = cekpost(cleanQuery($_GET["id"]), "0");
		$rs=array(); $q="SELECT a.* FROM cara_main a WHERE kdcara_main='$id'";
		callRS($rs, $q);
		if (intval($rs[0]["isactive"])==0) {
			$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$rs[0]["kdcara_main"].', '.$rs[0]["isactive"].');return false;">Non-Active</a>';
		} else {
			$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$rs[0]["kdcara_main"].', '.$rs[0]["isactive"].');return false;">Active</a>';
		}
		$creby = (trim($rs[0]["creby"])!=""?'By: <strong>'.$rs[0]["creby"].'</strong>':'By: &lt;<em>no data</em>&gt;').(trim($rs[0]["cretime"])?' ('.date('d M Y, H:i:s A', $rs[0]["cretime"]).')':' &lt;<em>no data</em>&gt;');
		$modby = (trim($rs[0]["modby"])!=""?'By: <strong>'.$rs[0]["modby"].'</strong>':'By: &lt;<em>no data</em>&gt;').(trim($rs[0]["modtime"])?' ('.date('d M Y, H:i:s A', $rs[0]["modtime"]).')':' &lt;<em>no data</em>&gt;');
		cout('<dl class="dl-horizontal dldata">');
			if (authorizedModule("rules_element_title", $ses_kduser)) {
				cout('<dt>Title</dt>');
				cout('<dd>'.$rs[0]["judul"].'</dd>');
			}
			if (authorizedModule("rules_element_active", $ses_kduser)) {
				cout('<dt>Active Status</dt>');
				cout('<dd class="isactive'.$rs[0]["kdcara_main"].'">'.$isactive.'</dd>');
			}
			if (authorizedModule("rules_element_description", $ses_kduser)) {
				$isi = str_replace("\n", "<br/>", $rs[0]["isi"]);
				cout('<dt>Description</dt>');
				cout('<dd>'.$isi.'</dd>');
			}
			if (authorizedModule("rules_element_creation", $ses_kduser)) {
				cout('<dt>Created</dt>');
				cout('<dd>'.$creby.'</dd>');
			}
			if (authorizedModule("rules_element_modification", $ses_kduser)) {
				cout('<dt>Modified</dt>');
				cout('<dd>'.$modby.'</dd>');
			}
			
		cout('</dl>');
		
		$act_ket = "Rules: View: [kd: ".$rs[0]["kdcara_main"]."][kode: ".$rs[0]["kode"]."][nama: ".$rs[0]["nama"]."]";
		updateUserActivities($act_ket);
		exit;
	}
}
if ($a=="do_delete") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	if ($kirim=="1") {
		$delby = $_SESSION["user"]["inisial"];
		$deltime = time();
		$kdcara_main = cekpost(cleanQuery($_POST["kdcara_main"]), "0");
		$rs=array(); $q="SELECT * FROM cara_main WHERE kdcara_main='$kdcara_main'";
		callRS($rs, $q);
		
		$q = "DELETE FROM cara_main WHERE kdcara_main='$kdcara_main'";
		execRS($q);
		$act_ket = "Cara Bermain: Delete: Deleted [kd: $kdcara_main][judul: ".$rs[0]["judul"]."][isactive: ".$rs[0]["isactive"]."][isi: ".$rs[0]["isi"]."]";
		updateUserActivities($act_ket);
		cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/";</script>');
		exit;
	}
}
if ($a=="section_delete") {
	if (!authorizedModule("rules_delete", $ses_kduser)) {
		unAuthorizedAccess("rules_delete");
	} else {
		$id = cekpost(cleanQuery($_GET["id"]), "0");
		$rs=array(); $q="SELECT * FROM cara_main WHERE kdcara_main='$id'";
		callRS($rs, $q);
		
		cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_delete" role="form">');
			cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
			cout('<input type="hidden" name="kdcara_main" id="kdcara_main" value="'.$rs[0]["kdcara_main"].'" />');
			cout('<dl class="dl-horizontal dldata">');
				if (authorizedModule("rules_element_title", $ses_kduser)) {
					cout('<dt>Title</dt>');
					cout('<dd>'.$rs[0]["judul"].'</dd>');
				}
				cout('<dt></dt>');
				cout('<dd><button class="btn btn-primary" type="submit">Delete</button></dd>');
			cout('</dl>');
		cout('</form>');
		$viewFrame = 0;
		if ($viewFrame==1) {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
		} else {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
		}
		$act_ket = "Cara Bermain: Deleting... [kd: ".$rs[0]["kdcara_main"]."][nama: ".$rs[0]["nama"]."]";
		updateUserActivities($act_ket);
		exit;
	}
}
if ($a=="do_edit") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	$err = "";
	if ($kirim=="1") {
		$kdcara_main = cekpost(cleanQuery($_REQUEST["kdcara_main"]), "0");
		$judul = cekpost(cleanQuery($_REQUEST["judul"]), "");
		$isi = cekpost(cleanQuery($_REQUEST["isi"]), "");
		$isactive = cekpost(cleanQuery($_REQUEST["isactive"]), 0);
		if ($judul=="") { $err.= BSErrorMessage('Title must be filled'); }
		if ($isi=="") { $err.= BSErrorMessage('Description must be filled'); }
		if ($err=="") {
			$modby = $_SESSION["user"]["inisial"];
			$modtime = time();
			$q = "UPDATE cara_main SET judul='$judul', isi='$isi', isactive='$isactive', modby='$modby', modtime='$modtime' 
				WHERE kdcara_main='$kdcara_main'";
			execRS($q);
			$act_ket = "Cara Bermain: Edit: Updated [kd: $kdcara_main][judul: $judul][isi: $isi][isactive: $isactive]";
			updateUserActivities($act_ket);
			cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/view/'.$kdcara_main.'/";</script>');
		} else {
			cout('<script type="text/javascript">parent.showError(\''.$err.'\');</script>');
		}
		exit;
	}
	exit;
}

if ($a=="section_edit") {
	if (!authorizedModule("rules_edit", $ses_kduser)) {
		unAuthorizedAccess("rules_edit");
	} else {
		$id = cekpost(cleanQuery($_GET["id"]), "0");
		$rs=array(); $q="SELECT * FROM cara_main WHERE kdcara_main='$id'";
		callRS($rs, $q);
		cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_edit" role="form">');
			cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
			cout('<input type="hidden" name="kdcara_main" id="kdcara_main" value="'.$rs[0]["kdcara_main"].'" />');
			cout('<dl class="dl-horizontal dldata">');
				if (authorizedModule("rules_element_title", $ses_kduser)) {
					cout('<dt><label for="judul">Title</label></dt>');
					cout('<dd><input class="form-control" type="text" name="judul" id="judul" value="'.$rs[0]["judul"].'" /></dd>');
				}
				if (authorizedModule("rules_element_active", $ses_kduser)) {
					$isactive0 = intval($rs[0]["isactive"])==0?'selected="selected"':'';
					$isactive1 = intval($rs[0]["isactive"])==1?'selected="selected"':'';
					cout('<dt><label for="isactive">Active Status</label></dt>');
					cout('<dd>
						<select name="isactive" id="isactive" class="form-control">
							<option value="0" '.$isactive0.'>Non-Active</option>
							<option value="1" '.$isactive1.'>Active</option>
						</select>
					</dd>');
				}
				if (authorizedModule("rules_element_description", $ses_kduser)) {
					cout('<dt><label for="isi">Description</label></dt>');
					cout('<dd><textarea name="isi" id="isi" rows="10" cols="80" class="form-control">'.$rs[0]["isi"].'</textarea></dd>');
				}
				cout('<dt></dt>');
				cout('<dd class="err"></dd>');
				
				cout('<dt></dt>');
				cout('<dd><button class="btn btn-primary" type="submit">Update</button></dd>');
			cout('</dl>');
		cout('</form>');
		$viewFrame = 0;
		if ($viewFrame==1) {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
		} else {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
		}
		$act_ket = "Rules: Editing... [kd: ".$rs[0]["kdcara_main"]."][nama: ".$rs[0]["nama"]."]";
		updateUserActivities($act_ket);
		exit;
	}
}
if ($a=="do_add") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	$err = "";
	if ($kirim=="1") {
		$judul = cekpost(cleanQuery($_REQUEST["judul"]), "");
		$isi = cekpost(cleanQuery($_REQUEST["isi"]), "");
		$isactive = cekpost(cleanQuery($_REQUEST["isactive"]), 0);
		if ($judul=="") { $err.= BSErrorMessage('Title must be filled'); }
		if ($isi=="") { $err.= BSErrorMessage('Description must be filled'); }
		if ($err=="") {
			$creby = $_SESSION["user"]["inisial"];
			$cretime = time();
			$kdcara_main = getID("cara_main", "kdcara_main");
			$q = "INSERT INTO cara_main (kdcara_main, judul, isi, isactive, creby, cretime) 
				VALUES ('$kdcara_main', '$judul', '$isi', '$isactive', '$creby', '$cretime')";
			execRS($q);
			$act_ket = "Cara Bermain: Add [kd: $kdcara_main][judul: $judul][isi: $isi][isactive: $isactive]";
			updateUserActivities($act_ket);
			cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/view/'.$kdcara_main.'/";</script>');
		} else {
			cout('<script type="text/javascript">parent.showError(\''.$err.'\');</script>');
		}
		exit;
	}
	exit;
}
if ($a=="section_add") {
	if (!authorizedModule("rules_add", $ses_kduser)) {
		unAuthorizedAccess("rules_add");
	} else {
		cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_add" role="form">');
			cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
			cout('<dl class="dl-horizontal dldata">');
				cout('<dt><label for="judul">Title</label></dt>');
				cout('<dd><input class="form-control" type="text" name="judul" id="judul" /></dd>');
				
				cout('<dt><label for="isactive">Active Status</label></dt>');
				cout('<dd>
					<select name="isactive" id="isactive" class="form-control">
						<option value="0">Non-Active</option>
						<option value="1">Active</option>
					</select>
				</dd>');
				
				cout('<dt><label for="isi">Description</label></dt>');
				cout('<dd><textarea name="isi" id="isi" rows="10" cols="80" class="form-control"></textarea></dd>');
				
				cout('<dt></dt>');
				cout('<dd class="err"></dd>');
				
				cout('<dt></dt>');
				cout('<dd><button class="btn btn-primary" type="submit">Add</button></dd>');
			cout('</dl>');
		cout('</form>');
		$viewFrame = 0;
		if ($viewFrame==1) {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
		} else {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
		}
		$act_ket = "Cara Bermain: Adding...";
		updateUserActivities($act_ket);
		exit;
	}
}
?>